Skip to content

List Client Tasks

GET
/agency/client-services/tasks

The cross-client ops board, limited to the caller’s scope.

Authorizations

Parameters

Query Parameters

client
Any of:
string

One client org id.

owner
Any of:
string

Owner email.

board
Any of:
string
Allowed values: ops onboarding fde
breached
Any of:
boolean

Only tasks whose SLA is (not) breached.

mine

Tasks owned by the caller.

boolean

Tasks owned by the caller.

Header Parameters

X-Target-Org-Id
Any of:
string
X-G8-Staff-Email
Any of:
string
X-G8-Staff-Tier
Any of:
string

Responses

200

Successful Response

object
data
required
object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string